GET
/
api
/
v1
/
admin
/
simulation
/
channel-templates
Get Channel Templates
curl --request GET \
  --url https://api.jobsim.work/api/v1/admin/simulation/channel-templates \
  --header 'Authorization: Bearer <token>'
[
  {
    "channel_name": "<string>",
    "_id": "<string>",
    "organization_id": "<string>",
    "scenario_name": "default",
    "message_templates": [
      {
        "sender_character_id": "<string>",
        "content": "<string>",
        "offset_hours": 123,
        "thread_replies": [
          {
            "sender_character_id": "<string>",
            "content": "<string>",
            "offset_minutes": 123,
            "metadata": {}
          }
        ],
        "metadata": {}
      }
    ],
    "is_active": true,
    "apply_to_existing_users": false,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string | null
scenario_name
string | null

Response

Successful Response

channel_name
string
required
_id
string | null
organization_id
string | null
scenario_name
string
default:default
message_templates
MessageTemplate · object[]
is_active
boolean
default:true
apply_to_existing_users
boolean
default:false
created_at
string<date-time>
updated_at
string<date-time>